<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <title>Bokeh Plot</title>
    <style>
      html, body {
        box-sizing: border-box;
        display: flow-root;
        height: 100%;
        margin: 0;
        padding: 0;
      }
    </style>
    <script type="text/javascript" src="https://cdn.bokeh.org/bokeh/release/bokeh-3.3.1.min.js"></script>
    <script type="text/javascript" src="https://cdn.bokeh.org/bokeh/release/bokeh-widgets-3.3.1.min.js"></script>
    <script type="text/javascript">
        Bokeh.set_log_level("info");
    </script>
  </head>
  <body>
    <div id="ab2162a0-ddb1-4ef6-a0f4-ff30ec00c75d" data-root-id="p1001" style="display: contents;"></div>
  
    <script type="application/json" id="p1003">
      {"78a175d8-e0e8-42fc-9387-3f6cb3ede685":{"version":"3.3.1","title":"Bokeh Application","roots":[{"type":"object","name":"DatetimePicker","id":"p1001","attributes":{"disabled_dates":null,"enabled_dates":null,"js_property_callbacks":{"type":"map","entries":[["change:value",[{"type":"object","name":"CustomJS","id":"p1002","attributes":{"code":"\n    console.log(\"datetime_picker: value=\" + this.value, this.toString())\n"}}]]]},"title":"Select date and time","min_date":1564650000000.0,"max_date":1572458400000.0,"value":1568983071000.0}}]}}
    </script>
    <script type="text/javascript">
      (function() {
        const fn = function() {
          Bokeh.safely(function() {
            (function(root) {
              function embed_document(root) {
              const docs_json = document.getElementById('p1003').textContent;
              const render_items = [{"docid":"78a175d8-e0e8-42fc-9387-3f6cb3ede685","roots":{"p1001":"ab2162a0-ddb1-4ef6-a0f4-ff30ec00c75d"},"root_ids":["p1001"]}];
              root.Bokeh.embed.embed_items(docs_json, render_items);
              }
              if (root.Bokeh !== undefined) {
                embed_document(root);
              } else {
                let attempts = 0;
                const timer = setInterval(function(root) {
                  if (root.Bokeh !== undefined) {
                    clearInterval(timer);
                    embed_document(root);
                  } else {
                    attempts++;
                    if (attempts > 100) {
                      clearInterval(timer);
                      console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                    }
                  }
                }, 10, root)
              }
            })(window);
          });
        };
        if (document.readyState != "loading") fn();
        else document.addEventListener("DOMContentLoaded", fn);
      })();
    </script>
  </body>
</html>